Bug 817500 - Low res icons/grouping failure hostname change
Low res icons/grouping failure hostname change
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 05:52 EDT by Vít Ondruch
Modified: 2014-02-05 06:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:57:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Mix of hi-res and low-res icons (229.28 KB, image/png)
2012-04-30 05:54 EDT, Vít Ondruch
no flags Details
After wake up (8.33 KB, text/plain)
2012-04-30 10:55 EDT, Vít Ondruch
no flags Details
Before sleep (8.33 KB, text/plain)
2012-04-30 10:56 EDT, Vít Ondruch
no flags Details
After wake up (8.23 KB, text/plain)
2012-04-30 11:56 EDT, Vít Ondruch
no flags Details
After wake up - 2nd instance (8.23 KB, text/plain)
2012-04-30 12:03 EDT, Vít Ondruch
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 688716 None None None Never

  None (edit)
Description Vít Ondruch 2012-04-30 05:52:15 EDT
Description of problem:
Application windows grouping is broken as well as just low resolution icons are used when computer is woke up disconnected.


Version-Release number of selected component (if applicable):
$ rpm -q gnome-shell
gnome-shell-3.4.1-3.fc17.x86_64

But I observed the same issues in F16 with gnome 3.2


How reproducible:
Always


Steps to Reproduce:
1. Boot computer connected by wire to the network.
2. Disconnect cable.
3. Wake up the computer.
  
Actual results:
Newly executed applications uses just low resolution icons and they are not properly grouped.

Expected results:
High resolution icons are used and application windows are properly grouped


Additional info:
Comment 1 Vít Ondruch 2012-04-30 05:54:50 EDT
Created attachment 581163 [details]
Mix of hi-res and low-res icons

The attached screenshot shows how the high resolution and low resolution icons get mixed. Also note that GVIM is not properly grouped.
Comment 2 Vít Ondruch 2012-04-30 05:55:59 EDT
Not sure if that might be related to hostname change or something similar. Why it should have influence is not clear to me.
Comment 3 Owen Taylor 2012-04-30 10:15:04 EDT
Can you attach the result of running xprop and clicking on each gvim window before and after waking up?

(The low-res icons are the same problem as the grouping failure - if you have a gvim window which is not associated with the gvim application, it will get whatever icon gvim set directly on the window, which will not match the application icon and will often be low-res)
Comment 4 Vít Ondruch 2012-04-30 10:55:28 EDT
Created attachment 581200 [details]
After wake up
Comment 5 Vít Ondruch 2012-04-30 10:56:01 EDT
Created attachment 581201 [details]
Before sleep
Comment 6 Vít Ondruch 2012-04-30 10:58:51 EDT
The VIM's were not in the same state editing the same file, hope it doesn't matter.
Comment 7 Owen Taylor 2012-04-30 11:10:59 EDT
The two files are byte-per-byte identical, including:

WM_NAME(STRING) = "rubygem-backports.spec (~/fedora-packages/rubygem-backports) - GVIM"

are you sure you didn't attach the same file twice, since you say "The VIM's were not in the same state editing the same file".
Comment 8 Vít Ondruch 2012-04-30 11:56:07 EDT
Created attachment 581214 [details]
After wake up

Ups, sorry. Hope I'll do better this time
Comment 9 Vít Ondruch 2012-04-30 12:03:42 EDT
Created attachment 581215 [details]
After wake up - 2nd instance

I add also ouptut of second instance of GVIM after wake up if that helps, since the instances are not matched among themselves
Comment 10 Bohuslav "Slavek" Kabrda 2012-06-14 03:21:00 EDT
Same issue here, started occuring after hostname change. The applications that were run before the change still have high-res icons, but anything run after the hostname was changed has low-res icons.
Comment 11 Vít Ondruch 2012-11-20 07:14:08 EST
BTW it is easy to reproduce:

# echo "foo" > hn
# hostname -F hn
Comment 12 Pavel Šimerda (pavlix) 2012-12-20 07:53:59 EST
Confirming I've seen this issue. I can't really understand why a desktop environment breaks on hostname changes. I've seen such bugs years ago with XFCE and was equally surprised.
Comment 13 Ryan Lerch 2013-02-20 16:50:34 EST
It appears that this bug has just been fixed upstream:

https://bugzilla.gnome.org/show_bug.cgi?id=688716
Comment 14 Vít Ondruch 2013-02-21 04:23:01 EST
Would it be possible to backport if for F18 and possible older releases? It looks to be tiny patch. Thank you.
Comment 15 Fedora End Of Life 2013-12-21 03:35:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2014-02-05 06:57:23 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.